Bug 511405 - ctrl-alt-backspace disabled?
ctrl-alt-backspace disabled?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-xdm (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 20:53 EDT by Brian Stevens
Modified: 2018-04-11 02:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-29 00:45:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Stevens 2009-07-14 20:53:37 EDT
Description of problem:

ctrl-alt-backspace no longer restarts X, which means on a windows system
lockup I often need to resort to a power button restart.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Warren Togami 2009-07-14 22:39:42 EDT
http://docs.fedoraproject.org/release-notes/f11/en-US/sect-Release_Notes-X_Window_System_Graphics.html

This was done by design decision by the upstream X.org project.  You can follow the directions here to get ctrl-alt-backspace behavior back if you really want it.
Comment 2 Kevin E. Martin 2009-07-15 18:03:27 EDT
Brian, just checking to see if is this actually for the xdm login screen or gdm login screen or if this is while you're logged into your desktop?

The default should be setup to have C-A-BS working at the login screen (at least for gdm).  If this isn't working, then something is broken.

If it's while you're logged into your desktop, there's actually a preference to enable/disable C-A-BS (default is disabled).  You can find the option in System->Preferences->Keyboard under the Layouts tab, click the "Layout Options..." button to open up the Keyboard Layout Options dialog.  There you can find the "Key sequence to kill the X server" checkbox option.

Changing the xorg.conf file that Warren mentioned in comment #1 works for both while your logged into your desktop and at the gdm/xdm prompt.
Comment 3 Matěj Cepl 2009-11-05 13:34:43 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Note You need to log in before you can comment on or make changes to this bug.